Loading...
Searching...
No Matches
Opm::SimulationConfig Class Reference

## Public Member Functions

| SimulationConfig (bool restart, const Deck &deck, const FieldPropsManager &fp)
const RockConfig & | rock_config () const
const ThresholdPressure & | getThresholdPressure () const
const BCConfig & | bcconfig () const
const DatumDepth & | datumDepths () const
bool | useThresholdPressure () const
bool | useCPR () const
bool | useNONNC () const
bool | hasDISGAS () const
bool | hasDISGASW () const
bool | hasVAPOIL () const
bool | hasVAPWAT () const
bool | isThermal () const
bool | useEnthalpy () const
bool | isDiffusive () const
bool | hasPRECSALT () const
bool | anyTUNING () const
bool | operator== (const SimulationConfig &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static SimulationConfig | serializationTestObject ()
static bool | rst_cmp (const SimulationConfig &full_config, const SimulationConfig &rst_config)

## Friends

class | EclipseState

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/SimulationConfig/SimulationConfig.hpp
- opm/input/eclipse/EclipseState/SimulationConfig/SimulationConfig.cpp